libdvdcss 1.4.0

Data Fields
dvdcss_stream_cb Struct Reference

## Data Fields
int(* | pf_seek )(void *p_stream, uint64_t i_pos)
int(* | pf_read )(void *p_stream, void *buffer, int i_read)
int(* | pf_readv )(void *p_stream, const void *p_iovec, int i_blocks)

## Detailed Description

Set of callbacks to access DVDs in custom ways.

## Field Documentation

int( * dvdcss_stream_cb::pf_read) (void *p_stream, void *buffer, int i_read)

custom read callback

int( * dvdcss_stream_cb::pf_readv) (void *p_stream, const void *p_iovec, int i_blocks)

custom vectored read callback

int( * dvdcss_stream_cb::pf_seek) (void *p_stream, uint64_t i_pos)

custom seek callback

The documentation for this struct was generated from the following file:

- dvdcss.h